#toolbar-secondary {
  background-color: $gray-base !important;
}

.input-search{
  .md-list-item-default {
    .md-list-item-content{
      padding: 4px 2px !important;
    }
  }
}

.md-toolbar {
  // min-height: 56px;
  padding: 10px 15px;
  justify-content: center;
  border-radius: 3px;
  margin-bottom: 0px;
  // background-color: $navbar-color !important;

  &.md-transparent{
    // background-color: transparent !important;
    box-shadow: none;
    // padding-top: 25px;

    .md-title,
    .md-list .md-list-item-content,
    .md-list-item-container .md-icon,
    &,
    &:hover,
    &:focus{
      color: $white-color !important;
    }
  }

  .md-toolbar-section-end .md-list {
    justify-content: flex-end;
  }
  .md-toolbar-section-start .md-list {
    justify-content: flex-start;
  }

  &.md-absolute {
    position: fixed;
    z-index: 1030;
    left: 0;
    right: 0;
    border-radius: 0;
  }

  .md-list-item-content {
    .fab,
    .fa {
      font-size: 1.25rem;
      max-width: 24px;
      width: 24px;
      text-align: center;
      margin-right: 4px;
    }
  }

  .notification{
    position: absolute;
    top: 5px;
    border: 1px solid #FFF;
    right: 10px;
    font-size: 9px;
    background: #f44336;
    color: #FFFFFF;
    min-width: 20px;
    padding: 0px 5px;
    height: 20px;
    border-radius: 10px;
    text-align: center;
    line-height: 19px;
    vertical-align: middle;
    display: block;
  }

  .navbar-nav {
    > li > .dropdown-menu{
        margin-top: -20px;
    }

    > li.open > .dropdown-menu{
        margin-top: 0;
    }

    > .active > a {
      &,
      &:hover,
      &:focus {
        color: inherit;
        background-color: rgba(255, 255, 255, 0.1);
      }
    }
    > .disabled > a {
      &,
      &:hover,
      &:focus {
        color: inherit;
        background-color: transparent;
        opacity: 0.9;
      }
    }
    .profile-photo{
        padding: 0 5px 0;
        .profile-photo-small{
            height: 40px;
            width: 40px;
        }
    }
  }


  // default color for dropdown
  @include dropdown-colors($brand-success);
  @include toolbar-colors($gray-light, $white-color);

  &.md-white {
    @include toolbar-colors($white-color, $navbar-color);

    .md-list-item .md-button.md-simple {
      &,
      &:hover,
      &:focus,
      &:active,
      &.active,
      &:active:focus,
      &:active:hover,
      &.active:focus,
      &.active:hover,
      .open > &.dropdown-toggle,
      .open > &.dropdown-toggle:focus,
      .open > &.dropdown-toggle:hover {
        i,
        & {
          color: $navbar-color !important;
        }
      }
    }
  }

  &.md-primary{
    @include dropdown-colors($brand-primary);
    @include toolbar-colors($brand-primary, $white-color);
  }
  &.md-danger{
    @include dropdown-colors($brand-danger);
    @include toolbar-colors($brand-danger, $white-color);
  }
  &.md-warning{
    @include dropdown-colors($brand-warning);
    @include toolbar-colors($brand-warning, $white-color);
  }
  &.md-info{
    @include dropdown-colors($brand-info);
    @include toolbar-colors($brand-info, $white-color);
  }
  &.md-success{
    @include dropdown-colors($brand-success);
    @include toolbar-colors($brand-success, $white-color);
  }
  &.md-rose{
    @include dropdown-colors($brand-rose);
    @include toolbar-colors($brand-rose, $white-color);
  }
  &.md-dark{
    @include dropdown-colors($grey-900);
    @include toolbar-colors($grey-900, $white-color);
  }

  &.navbar-transparent{
      // background-color: transparent;
      box-shadow: none;
      border-bottom: 0;

      .logo-container .brand{
          color: $white-color;
      }
  }

  .md-toolbar-row {
    min-height: auto;
    padding-left: 15px;
    padding-right: 15px;
  }

  .md-button{
    margin: 0;
  }

  .profile-photo {
    padding: 0;
    margin: 0 3px;
  }

  .profile-photo-small {
    height: 40px;
    width: 40px;
    overflow: hidden;
    border-radius: 50%;
  }

  .dropdown .md-button:not(.md-round).md-just-icon {
    height: unset;
    width: unset;
  }

  .md-toolbar-toggle .md-button-content{
    display: block;
    align-items: unset;
  }

  .notification{
    position: absolute;
    top: 0px;
    border: 1px solid #FFF;
    right: 7px;
    font-size: 9px;
    background: #f44336;
    color: #FFFFFF;
    min-width: 20px;
    padding: 0px 5px;
    height: 20px;
    border-radius: 10px;
    text-align: center;
    line-height: 19px;
    vertical-align: middle;
    display: block;
  }

  &.md-theme-default.md-transparent,
  &.md-theme-default,
  &.md-theme-default .md-title,
  &.md-theme-default.md-transparent .md-title {
    color: $gray;
  }

  .md-title {
    height: 50px;
    min-width: 50px;
    display: flex;
    align-items: center;
    font-size: 18px;
    margin-left: 0;
    margin-right: 15px;
    padding: 10px 0;
    font-weight: 300;
    letter-spacing: normal;
  }

  .md-toolbar-toggle {
    width: 40px;

    .icon-bar {
      position: relative;
      display: block;
      width: 22px;
      height: 2px;
      background-color: inherit;
      border: 1px solid;
      border-radius: 1px;

      & + .icon-bar{
        margin-top: 4px;
      }
    }
  }

  .md-list{
    flex-flow: row;
    padding-top: 0;
    padding-bottom: 0;
    color: inherit !important;
    background-color: transparent !important;

    &:hover .md-list-item > a,
    &:focus .md-list-item > a,
    & > a:hover {
      background-color: transparent !important;
    }

    .md-list-item > a:not(:last-child){
      margin-right: 5px;
    }
  }

  .md-field{
    padding: 0;
    margin: 0;

    // &:after,
    // &:before{
    //   // bottom: 5px;
    //   height: 0;
    // }

    .md-input{
      margin-top: 6px;
    }

    // label{
    //   top: 15px;
    // }

    &.md-focused label,
    &.md-has-value label{
      top: -1px;
    }
  }

  .md-collapse{
    display: flex;
    width: 100%;
    justify-content: flex-end;
  }
}

.md-menu-content{
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
  border-radius: $border-radius-base !important;
  overflow: hidden;

  .md-list .md-list-item a{
    font-size: 10px;
  }
}

.md-list-item{
  list-style: none;

  .router-link-active .md-ripple{
    background-color: rgba(255,255,255,.1);
  }

  a {
    color: inherit !important;
    padding-top: 15px;
    padding-bottom: 15px;

    font-weight: $font-weight-default;
    font-size: $mdb-btn-font-size-base;
    text-transform: uppercase;
    overflow: visible;

    border-radius: $border-radius-base;
    position: relative;
    display: flex;
    align-items: center;
    padding: 0;
    text-decoration: none;

    &:hover,
    &:focus {
      color: inherit;
      background-color: transparent;
    }

    .material-icons,
    .md-icon,
    .fab,
    .fa{
      font-size: 20px !important;
      margin: 0 !important;
      width: 24px;
      min-width: 24px;
      text-align: center;
    }

    i + p {
      margin: 0;
      margin-left: 5px !important;
    }

    .md-ripple{
      padding: 10px 15px;
      border-radius: $border-radius-base;

      p {
        font-weight: 400;
        font-size: 12px;
        margin: 0;
      }

      .md-icon {
        transition: none;
        color: inherit !important;
      }

      > span{
        border-radius: $border-radius-base;
      }
    }
  }

  .md-list-item-content:not(.md-ripple) {
    padding: 0;
  }

  & .md-list-item-container .md-just-icon .md-ripple .md-icon {
    margin: 0
  }

  .md-button.md-button-link:not(.md-just-icon):not(.md-btn-fab):not(.md-icon-button):not(.md-toolbar-toggle) .md-ripple{
    padding: 12px 15px;
    // padding: 4px 8px;
    

    .md-button-content i {
      font-size: 20px !important;
      // font-size: 1.9rem !important;
      justify-content: center;
      display: flex;
      align-items: center;
      width: 24px;
      min-width: 24px;
    }
  }
}

.search-button {
  min-width: auto !important;
  background-color: #6ea9bb !important;
}
